package com.nisum.safewaypages.testing;

import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.support.PageFactory;


import java.util.concurrent.TimeUnit;

public class AccountsPage {
    private static WebDriver driver;

    public AccountsPage(WebDriver driver) {
        this.driver = driver;
        driver.manage().timeouts().implicitlyWait(5, TimeUnit.SECONDS);
        PageFactory.initElements(driver, this);
    }

    public WebElement menuAccountLink(){
        return driver.findElement(By.linkText("Account"));
    }
    public WebElement sideBarAccountsSettings(){
        return driver.findElement(By.xpath("//*[@id=\"menu\"]/div[1]/ul/li[4]/a"));
    }
    public WebElement enterFirstName(){
        return driver.findElement(By.id("input-firstName"));
    }
    public WebElement enterLastName(){
        return driver.findElement(By.id("input-lastName"));
    }
    public WebElement enterEmail(){
        return driver.findElement(By.id("emailIdaccount"));
    }
    public WebElement enterPhoneNumber(){
        return driver.findElement(By.id("phoneNumber"));
    }
    public void navigateToAccountSettingsPage(String url) {
        driver.get(url);
        menuAccountLink().click();
        sideBarAccountsSettings();
    }
}
