package com.nisum.safewaypages.testing;

import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.support.FindBy;
import org.openqa.selenium.support.PageFactory;
import java.util.concurrent.TimeUnit;

public class HomePage {

    private static WebDriver driver;

    public HomePage(WebDriver driver) {
        this.driver=driver;
        driver.manage().timeouts().implicitlyWait(5, TimeUnit.SECONDS);
        PageFactory.initElements(driver, this);
    }

    @FindBy(xpath = "//span[@class='button__item menu-nav__profile-button-sign-in-up d-none d-lg-inline-block']")
    WebElement menuSignInLink;

    @FindBy(id = "sign-in-modal-link")
    WebElement sideBarSignIn;

    //To confirm the Page is opened
    public boolean isHomePageOpened(){
        return menuSignInLink.getText().contains("Sign In / Up");
    }

    public void navigateToHomePage(String url){
        driver.get(url);
        menuSignInLink.click();
        sideBarSignIn.click();

    }
}



