package com.nisum.safewaypages.testing;


import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.support.FindAll;
import org.openqa.selenium.support.FindBy;
import org.openqa.selenium.support.PageFactory;

import java.util.concurrent.TimeUnit;

public class LoginPage {

    private static WebDriver driver;

    public LoginPage (WebDriver driver){
        this.driver=driver;
        driver.manage().timeouts().implicitlyWait(5, TimeUnit.SECONDS);
        PageFactory.initElements(driver, this);
    }

    @FindBy(id = "label-email")
    WebElement signInUsername;

   @FindAll({
           @FindBy(id ="label-password"),
           @FindBy(name = "inputPassword"),
           @FindBy(xpath = "//*[@id=\"label-password\"]")})
    WebElement signInPassword;

   @FindBy(id = "btnSignIn")
   WebElement clickSignIn;

   public void login(String username, String password){
       signInUsername.sendKeys(username);
       signInPassword.sendKeys(password);
       clickSignIn.click();
   }

}
