package com.nisum.safewaypages.testing;

import org.junit.After;
import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;
import org.openqa.selenium.By;
import org.openqa.selenium.StaleElementReferenceException;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.chrome.ChromeDriver;
import org.openqa.selenium.support.ui.ExpectedConditions;
import org.openqa.selenium.support.ui.WebDriverWait;
import java.util.Properties;
import java.util.concurrent.TimeUnit;

public class SafewayWebPagesTest {

    private String driverPath = "/Users/nmoosapet/documents/softwares/chromedriver";
    private static WebDriver driver;
    private WebDriverWait driverWait;
    private HomePage objHomePage;
    private LoginPage objLoginPage;
    private AccountsPage objAccountsPage;
    private String url = "https://www.safeway.com/";
    private Properties properties;
    private String username="nikithayadav95@gmail.com";
    private String password="safeway123";


    @Before
    public void setup(){
        System.setProperty("webdriver.chrome.driver",driverPath);
        this.driver = new ChromeDriver();
        driver.manage().timeouts().implicitlyWait(10, TimeUnit.SECONDS);
        driverWait = new WebDriverWait(driver, 20);
        objHomePage = new HomePage(driver);
        objLoginPage = new LoginPage(driver);
        objAccountsPage = new AccountsPage(driver);
    }

    @Test
    public void testPages(){
        objHomePage.navigateToHomePage(url);
        Assert.assertTrue(objHomePage.isHomePageOpened());
        System.out.println("Successfully routed to the safeway website page");
        objHomePage.menuSignInLink.click();
        objHomePage.sideBarSignIn.click();
        objLoginPage.login(username, password);
        Assert.assertEquals("nikithayadav95@gmail.com", objLoginPage.signInUsername.getAttribute("value"));
        Assert.assertEquals("safeway123", objLoginPage.signInPassword.getAttribute("value"));
        System.out.println("User Credentials verified and user logged in successfully");
        objLoginPage.clickSignIn.click();
        objAccountsPage.navigateToAccountSettingsPage(url);
        objAccountsPage.menuAccountLink().click();
        objAccountsPage.sideBarAccountsSettings();
        driverWait.until(ExpectedConditions.elementToBeClickable(By.id("input-firstName")));
        Assert.assertEquals("Nikitha", objAccountsPage.enterFirstName().getAttribute("value"));
        Assert.assertEquals("Moosapet", objAccountsPage.enterLastName().getAttribute("value"));
        Assert.assertEquals("nikithayadav95@gmail.com", objAccountsPage.enterEmail().getAttribute("value"));
        System.out.println("User Info verified and updated successfully");
    }

    @After
    public void tearDown(){
        driver.quit();
    }
}
